Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454734 - NumberFormatException: For input string: "" in prod logs
Summary: NumberFormatException: For input string: "" in prod logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Other
Version: 1.3.8
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 21:16 UTC by Mike Amburn
Modified: 2009-02-09 21:17 UTC (History)
2 users (show)

Fixed In Version: MR8-CSP
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 20:51:02 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-09 21:16:41 UTC
java.lang.NumberFormatException: For input string: ""
at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
at java.lang.Integer.parseInt(Integer.java:468)
at java.lang.Integer.valueOf(Integer.java:553)
at com.jboss.jbossnetwork.ui.actions.LoginAction.handleSubmit(LoginAction.java:138)
at com.jboss.jbossnetwork.ui.actions.LoginAction.jbossExecute(LoginAction.java:72)

----
Data relocated from Jira (JBNET-2150)

Comment 1 Nathan Lugert 2009-02-09 21:17:25 UTC
This was happening if the gmt offset is "" when a user logs in. Added a check to insure the gmt offset is not null or "".


Note You need to log in before you can comment on or make changes to this bug.